Subject: Objects in SplObjectStorage are stored over and over again
Description

When an object inside an SplObjectStorage is stored (at least when using a reference), it will be stored again whenever the source
property is dirty.

This doesn't cause problems on reading, as the object will be reconstituted only once and SplObjectStorage stores only distinct
instances, but - it's a waste of space, exremely unclean and needs to be fixed.

Might apply to objects in arrays, too.

Associated revisions
Revision 0d99bcda - 2009-08-21 17:42 - Karsten Dambekalns

[+BUGFIX] TYPO3CR (FLOW3 Persistence): objects in a SplObjectStorage are now no longer stored again when their parent property is dirty, fixes
#3819.

History
#1 - 2009-08-21 17:42 - Karsten Dambekalns
- File TYPO3CR_Problem_bei_BlogExample.pdf added

Another effect of this has been described by Robert, see attached PDF (german, sorry).

#2 - 2009-08-21 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3086.

#3 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
